function VisuDistrib_2D(p,x1,N,gamma)
    MH=MetroHast(x1,N,p,gamma); 
    fig=figure; 
    set(fig, 'Position', [0, 0, 800, 300]);
    subplot 121 % Distribution p 
    [X,Y]=meshgrid(linspace(-3,3,20),linspace(-3,3,20));
    surf(X,Y,exp(-X.^2-Y.^2)/pi,'Facecolor','red')
    axis([min(-3,-abs(x1(1))),max(3,abs(x1(1))),min(-3,-abs(x1(2))),max(3,abs(x1(2))),0,0.5])
    title({'p','x_{cm} = ( 0 , 0 )'})
    subplot 122 % Distribution empirique x_j
    xcm=sum(MH)/N; 
    histogram2(MH(:,1),MH(:,2), 31,'Normalization','pdf')
    axis([min(-3,-abs(x1(1))),max(3,abs(x1(1))),min(-3,-abs(x1(2))),max(3,abs(x1(2))),0,0.5])
    title({'distribution des x_j ',['x_{cm} = ( ' num2str(xcm(1)) ' , ' num2str(xcm(2)) ' )']})
end 