function VisuDistrib_x1(X1,p,gamma,N)
    fig1=figure;
    set(fig1, 'Position', [0, 0, 600, 200]);
    x=linspace(-3,3); 
    c=integral(p,-10,10);
    M=max(p(x)/c)+0.1; 
    L=zeros(1,length(X1)*N); 
    for i=1:length(X1)
       if i<=10
        subplot(2,5,i) % Distribution p 
        MH=MetroHast(X1(i),N,p,gamma); 
        L((N*(i-1)+1):N*i)=MH; 
        histogram(MH,11,'FaceColor', 'b', 'Normalization', 'pdf'); 
        axis([min(-3,-abs(X1(i))),max(3,abs(X1(i))),0,M])
        title({['x_{1} = ' num2str(X1(i),'%.2f')]})
       else
        MH=MetroHast(X1(i),N,p,gamma); 
        L((N*(i-1)+1):N*i)=MH; 
       end
    end
    fig2=figure; 
    set(fig2, 'Position', [0, 0, 200, 200]); 
    histogram(L,21,'FaceColor', 'b', 'Normalization', 'pdf'); 
    axis([-3,3,0,M])
    hold on 
    plot(x,p(x)/c,'r','Linewidth',3)
    title({'distribution totale des x_j '})
end

